# frozen_string_literal: true

# Copyright (C) 2024 Manuel Bustillo

module Users
  class ConfirmationsController < Devise::ConfirmationsController
    clear_respond_to
    respond_to :json

    def show
      super do |resource|
        if resource.errors.empty?
          respond_to do |format|
            format.json { render json: resource, status: :ok }
            format.any { redirect_to root_path }
          end
        else
          render json: {
            message: 'Record invalid',
            errors: resource.errors.full_messages
          }, status: :unprocessable_entity
        end
        return
      end
    end
  end
end
